Skip to content
vocapable.Docs

911 registration of your business lines

GET
/v1/workspace/emergency-lines
curl --request GET \
--url https://api.vocapable.com/v1/workspace/emergency-lines \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
WorkspaceEmergencyLines
object
notice
required
WorkspaceEmergencyNotice

The VoIP-911 limitations notice an owner accepts before saving an address.

object
version
required
Version
string
title
required
Title
string
body
required
Body
string
can_manage
required
Can Manage
boolean
lines
required
Lines
Array<object>
WorkspaceEmergencyLine
object
phone_number_id
required
Phone Number Id
string
e164
required
E164
string
label
required
Any of:
string
status
required
Status
string
Allowed values: not_registered pending registered failed
address
required
Any of:
WorkspaceEmergencyAddress

The dispatchable US street address 911 receives for calls from one line.

object
customer_name
required
Customer Name
string
>= 1 characters <= 32 characters
street
required
Street
string
>= 1 characters <= 100 characters
street_secondary
Any of:
string
<= 50 characters
city
required
City
string
>= 1 characters <= 50 characters
region
required
Region
string
>= 2 characters <= 2 characters
postal_code
required
Postal Code
string
>= 5 characters <= 5 characters
iso_country
Iso Country
string
default: US
Allowed value: US
notice_accepted_at
required
Any of:
string format: date-time
notice_version
required
Any of:
string
last_error
required
Any of:
string
revision
required
Revision
integer
updated_at
required
Any of:
string format: date-time
Example
{
"lines": [
{
"status": "not_registered",
"address": {
"iso_country": "US"
}
}
]
}